.speciality{
  padding: 10px;
  margin: 5px;
  cursor: pointer;
  border-radius: 6px;
  filter: grayscale(0.3);
  position: relative;
  /*background-color: var(--grayscale-transparent2);
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);*/
  &:hover{
    transform: scale(1.01);
    //box-shadow: var(--shadow_picUp);
  }
  #cont {
    width: 200px;
    height: 200px;
    display: block;
    border-radius: 100%;
    position: relative;
    &:after {
      position: absolute;
      display: none;
      height: 160px;
      width: 160px;
      left: 50%;
      top: 50%;
      box-shadow: inset 0 0 1em black;
      content: attr(data-pct)"%";
      margin-top: -80px;
      margin-left: -80px;
      border-radius: 100%;
      line-height: 160px;
      font-size: 2em;
      text-shadow: 0 0 0.5em black;
    }
    #svg{
      transform: rotateZ(122deg);
      transition: all 0.3s ease-in;
      circle {
        stroke-dashoffset: 0;
        transition: stroke-dashoffset 1s linear;
        stroke: rgba(150, 150, 150, 0.13);
        stroke-width: 7px;
      }
      #bar {
        stroke: rgba(0, 255, 215, 0.55);
      }
    }
  }
  .holder{
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    .tech{
      min-height: 180px;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      .icon{
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 25px 0 5px 0;
        svg{
          width: 50px;
          height: 50px;
        }
        &.html{
          svg{
            path{
              fill: var(--html);
            }
          }
        }
        &.css{
          svg{
            path{
              fill: var(--css);
            }
          }
        }
        &.javascript{
          svg{
            path{
              fill: var(--javascript);
            }
          }
        }
        &.scss{
          svg{
            path{
              fill: var(--scss);
            }
          }
        }
        &.angularJS{
          svg{
            path{
              fill: var(--angularJS);
            }
          }
        }
        &.react{
          svg{
            path{
              fill: var(--react);
            }
          }
        }
        &.php{
          svg{
            path{
              fill: var(--php);
            }
          }
        }
        &.database{
          svg{
            path{
              fill: var(--database);
            }
          }
        }
        &.nextJs{
          svg{
            path{
              fill: var(--nextJs);
            }
          }
        }
        &.laravel{
          svg{
            path{
              fill: var(--laravel);
            }
          }
        }
        &.codeigniter{
          svg{
            path{
              fill: var(--codeigniter);
            }
          }
        }
        &.jquery{
          svg{
            path{
              fill: var(--jquery);
            }
          }
        }
        &.bootstrap{
          svg{
            path{
              fill: var(--bootstrap);
            }
          }
        }
        &.tailwind{
          svg{
            path{
              fill: var(--tailwind);
            }
          }
        }
        &.typescript{
          svg{
            rect{
              fill: var(--typescript);
            }
            path{
              fill: #fff;
            }
          }
        }
        &.cra{
          svg{
            path{
              fill: var(--cra);
            }
          }
        }
        &.core_ui{
          svg{
            path{
              fill: var(--core-ui);
            }
          }
        }
        &.ant_design{
          svg{
            stop{
              stop-color: var(--ant-design-1);
            }
            path{
              &:nth-child(1),  &:nth-child(2){
                fill: var(--ant-design-1);
              }
              &:nth-child(3){
                fill: var(--ant-design-2);
              }
            }
            ellipse{
              fill: var(--ant-design-2);
            }
          }
        }
        &.pwa{
          svg{
            path{
              fill: var(--pwa);
            }
          }
        }
      }
      .image{
        img{
          width: 100px;
          height: auto;
        }
      }
      .text{
        h4{
          font-family: cursive;
          font-weight: bold;
          color: var(--grayscale-color);
          text-align: center;
        }
      }
    }
    .percent{
      width: 100px;
      margin: auto;
      background-color: rgb(54, 81, 90);
      border-radius: 2px 2px 50% 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      span{
        font-family: cursive;
        font-weight: bold;
        color: #c1c1c1;
        font-size: 15px;
      }
    }
  }
}